0.235 2021-08-27
----------------


MAME Testers Bugs Fixed
-----------------------
- 07002: [Crash/Freeze] (viper.cpp) p911 and clones: Games show “DISTRIBUTION ERROR”, resetting causes MAME to exit. (Windy Fairy)
- 07760: [Core] BGFX: YUV overlay rendering for Laserdisc games is flawed. (Ryan Holtz)
- 08042: [Graphics] (namcofl.cpp) finalapr, finalapr1, finalaprj: Flagman is not animated. (Angelo Salese)
- 08045: [Misc.] (coco12.cpp) coco, coco2, dragon32: Last byte of RAM is unusable for 32K machines. (Nigel Barnes)
- 08046: [Original Reference] (timelimt.cpp) progress, timelimt: Game runs too fast. (hap)
- 08050: [Sound] (ginganin.cpp) ginganin: PCM audio does not play. (Robbbert)
- 08051: [DIP/Input] portera: Down button is not working (can’t climb down ladders). (Tafoid)
- 08053: [DIP/Input] (taito_f2.cpp) yuyugogo: DIP switch marked as “Unused” enables continues. (GoldS_TCRF)


New working machines
--------------------
Paris Dakar (31/03/87, Spanish) [Jose Marquez - Retrobytes, Recreativas.org]
Super Cobra (Gakken, green version) [hap, Kevin Horton, Sean Riddle, eggs]
Texas Instruments TI-5100 [hap, Sean Riddle]


New working clones
------------------
Bubble Buster (USA, B-System) [CoolMod, The Dumping Union]
Espgaluda II (2005/11/14 MASTER VER, newer CV1000-B PCB) [BuddyC, MetalliC, rtw]
Guitar Freaks 2nd Mix (GQ883 VER. AAA) [Taro]
Guitar Freaks 2nd Mix (GQ883 VER. EAA) [Taro]
Guitar Freaks 2nd Mix (GQ883 VER. JAA) [Taro]
Guitar Freaks 2nd Mix (GQ883 VER. KAA) [Taro]
Guitar Freaks 2nd Mix (GQ883 VER. UAA) [Taro]
Guitar Freaks 2nd Mix Link Kit 1 (GE929 VER. JAA) [Windy Fairy]
Guitar Freaks 2nd Mix Link Kit 2 (GC929 VER. JBB) [Windy Fairy]
Guitar Freaks Ver 1.01 (GQ886 VER. AAD) [Taro]
Guitar Freaks Ver 1.01 (GQ886 VER. EAD) [Taro]
Guitar Freaks Ver 1.01 (GQ886 VER. JAD) [Taro]
Guitar Freaks Ver 1.01 (GQ886 VER. UAD) [Taro]
Hockey (Mattel, export version) [hap, Sean Riddle]
Kangaroo (Loewen-Automaten) [Virtvic]
The Killing Blade / Ao Jian Kuang Dao (ver. 100) [XeD]
Mag Max (set 2) [Purity]
Rafflesia (not encrypted) [Shane Reel]
Rescate Lunar (Spanish bootleg of Lunar Rescue) [Ricardo - Factory Arcade, Recreativas.org]
S.V.G. - Spectral vs Generation / Sheng Mo Shiji (M68k label V101HK) (ARM label V101HK, ROM 06/20/05 S.V.G V100) [XeD]
Sea Wolf (Tecfri) [Lorenzo, Victor Fernandez (City Game)]


Machines promoted to working
----------------------------
Operation Tiger (Ver 2.14 O) [Ville Linde]


New machines marked as NOT_WORKING
----------------------------------
ACT Apricot XEN [John Elliott]
Apple Computer LaserWriter [Jeff Muizelaar]
Apple Computer LaserWriter Plus [Jeff Muizelaar]
Baby Fruits (100 pts version) [Salvador, parramon, ClawGrip]
Basket [jordigahan, Miguel Arcade, ClawGrip]
Dracula's Castle (Magnet System) [Jose Marquez - Retrobytes, Recreativas.org]
Multi Baby [jordigahan, ClawGrip]
Radikal Darts (Diana Version 7.29.25) [jordigahan, ClawGrip]
Smith Corona PWP System 14 [FozzTexx]
Sony DPS-V55 Multi-Effect Processor [DBWBP]
Soreike! Anpanman Popcorn Koujou 2 (Rev C) [Darksoft, Jorge Valero, MetalliC, rtw]
Speedway [Ioannis Bampoulas]
Suzuki (Hammond license) GM-1000 GM Sound Module [DBWBP]
Yamaha PSR-16 [DBWBP]
Yamaha PSR-36 [DBWBP]
Yamaha PSR-40 [DBWBP]
Yamaha PSS-680 [DBWBP]
Zelos (Japan, main unit) [Phil Bennett]


New clones marked as NOT_WORKING
--------------------------------
Air Inferno (World) [Trol]
Baby Fruits (25 pts version) [Salvador, parramon, ClawGrip]
C.Q.F.D Scientus (France) [PulkoMandy]
Police 911 (ver AAC) [Windy Fairy]
Police 911 (ver KAE) [Windy Fairy]
Seoul Symphony (Bubble Symphony bootleg with OKI6295) [xuserv]
Time Crisis 3 (TST3 Ver. A) [system11, rtw]


New working software list additions
-----------------------------------
amiga_hdd: Workbench 2.05, Workbench 2.1, Workbench 3.0, Workbench 3.1 [Davide Cavalca]
amiga_workbench: AmigaOS 3.9 [archive.org]
apple2_flop_clcracked:
  Analogies Tutorial (Version 04.25.85) (cleanly cracked), Capitalization Practice (Version 11.04.83) (cleanly cracked),
  Capitalization Test (Version 11.04.83) (cleanly cracked), Computer Drill and Instruction: Addition C (cleanly cracked),
  Computer Drill and Instruction: Decimals C-1 (cleanly cracked), Computer Drill and Instruction: Division C (cleanly cracked),
  Computer Drill and Instruction: Fractions C-1 (cleanly cracked),
  Computer Drill and Instruction: Multiplication C (cleanly cracked),
  Computer Drill and Instruction: Subtraction C (cleanly cracked),
  Computer Drill and Instruction: Teacher Utilities (cleanly cracked),
  Computer Drill and Instruction: Whole Numbers C (cleanly cracked), Fact Sheets (Version 09.19.83) (cleanly cracked),
  Medalist Series: States (Version 08.09.83) (cleanly cracked), Memory Myth (cleanly cracked),
  Money! Money! (Version 09.19.83) (cleanly cracked), Nouns/Pronouns (Version 09.19.83) (cleanly cracked),
  Who-What-Where-When-Why (Version 11.04.83) (cleanly cracked), Willy Byte in the Digital Dimension (cleanly cracked),
  Word Families (Version 11.04.83) (cleanly cracked) [4am, Firehawke]
  Keyboard Golf (cleanly cracked) [4am, san inc., Firehawke]
apple2_flop_orig:
  Alge-Blaster! (Version 050187) (800K 3.5"), Arithmetic Critters (Version 1.0) (800K 3.5"),
  Backyard Birds (Version 1.0) (800K 3.5"), Bank Street Writer Plus (800K 3.5"), BeagleWrite (Version 3.2) (800K 3.5"),
  Car Builder (800K 3.5"), Chemistry: Balancing Equations (Version 1.0) (800K 3.5"), Circus Math (Version 1.0) (800K 3.5"),
  Cleanwater Detectives (800K 3.5"), Clock Works (Version 1.0) (800K 3.5"),
  Design Your Own Home: Interior Design (Version 2) (800K 3.5"), Design Your Own Railroad (Version 1.1C) (800K 3.5"),
  Grammar Gremlins (Version 05.01.87) (800K 3.5"), Return of the Dinosaurs (800K 3.5"), VCR Companion (Version 1.1) (800K 3.5"),
  Whomper Stomper, Willy Byte in the Digital Dimension, Word Munchers (Version 1.4) (800K 3.5") [4am, Firehawke]
apple2gs_flop_orig:
  Mad Libs (Version 1.0), Read-A-Rama, Reader Rabbit (Version 2.3), Reading and Me (Version 1.0), Tales From The Arabian Nights
  [4am, Firehawke]
c64_cass:
  Bad Cat, Bad Dudes Vs. Dragon Ninja, Bad Dudes Vs. Dragon Ninja (Erbe), Bangkok Knights, Basket Master
  [The Ultimate Tape Archive Team]
entex_sag: Basketball 3 [Kevin Horton, Sean Riddle]
fm7_cass:
  Biotek, Elevator Game, Hitsuji Yaai, I wa Sanjutsu Nari (alt), Killer Station, Kinasai, Oozumou, Shinjuwan Kougeki, Sokoban (alt),
  Space Warp (alt), Yume no Pro Yakyuu [Cytlan, Gaming Alexandria]
fmtowns_cd:
  Anne no Yume no Kuni - Anne's Country of Dreams, ARS Art RentaLease - Kaiga Fukugou Kensaku System, C-Trace, Cover Girls Vol. 1,
  Ed Bogas' Music Machine (HME-144), Enkaiou Ver. 3 - Chikyuu Saidai no Kessen, Exciting CD (Car Marty),
  Fouge Vol. 2 - Masuo per Masuo - Ikeda Masuo Hanga-shuu (1994-07-08), Hyper Eigo Gakushuu System - New Crown Series 2,
  Hyper Eigo Gakushuu System - New Total English 2, Image Power, Kanji Land 3-nen (OSL-010), Kanji no Ehon 2,
  Mayumi Yoshioka for Janis - Last Nude, Mirumiru Sagasu Konchuu Series Vol. 4 - Noyama no Kensakuka,
  Mr. Ed Bogas' Music Machine Lite (HMD-914), My Fair Lady CAN IV. Advanced, NHK Hitori de Dekiru Mon!,
  NHK Zoku Kiso Eigo - Dai-2-kan, Pyoko-tan no Chie Asobi Ehon - Nazo Nazo Meiro Daibouken, SSL Gallery Ver. 1,
  To Your Health! Vol. 1 - Tsubo Relaxation, To Your Health! Vol. 2 - Wellness Yoga,
  Towns Hyper Chiiku Ehon - Nihon Mukashibanashi Vol. 3 - Issunboushi / Kobutori Jiisan,
  Towns Hyper Ehon VII - Sekai no Ohanashi - Alice in Wonderland / Ali Baba and Forty Thieves [redump.org]
ibm5150_hdd:
  AT&T Personal Computer 6300 DOS Release 2.0 (MS-DOS 2.11), IBM Personal Computer DOS (Version 2.00),
  IBM Personal Computer DOS (Version 2.10), IBM Personal Computer DOS (Version 3.00), IBM Personal Computer DOS (Version 3.10),
  IBM Personal Computer DOS (Version 3.20), IBM Personal Computer DOS (Version 3.30), Microsoft Windows Version 1.0,
  MS-DOS (Version 3.30A), MS-DOS (Version 4.00), MS-DOS (Version 5.00), Multitasking MS-DOS (Version 4.00) [Davide Cavalca]
ibm5170: Sink or Swim, Star Wars - X-Wing - Space Combat Simulator (Germany), Walls of Rome [The Good Old Days]
ibm5170_cdrom:
  Bad Dudes (1995 CD release), Heavy Barrel (1995 CD release), Karnov (1995 CD release), Pipe Mania (1995 CD release),
  Tag Team Wrestling (1995 CD release) [David Silva]
nes:
  17 in 1 (60311C), 19 in 1 (K-3088), 21 in 1 (K-3006), 35 in 1 (K-3036), 4 in 1 (K-3131GS), 4 in 1 (K-3131SS),
  Mario Series 4 in 1 (JY-013), Super HiK 6 in 1 (A-030) [anonymous]
  TV Game 5 in 1 [Bisqwit]
  FC Genjin 8 in 1 (JY-119) [CaH4e3, NewRisingSun]
  21 in 1 (GA-003), The Lion King (pirate, alt 2) [Consolethinks]
  1995 Super 8 in 1 (JY-050), Super 8 in 1 Gold Card Series (JY-085), Super 8 in 1 Gold Card Series (JY-086)
  [Consolethinks, NewRisingSun]
  1994 Ball 4 in 1 Series (JY-009), 1994 Super HiK 3 in 1 (JY-007), 1995 Super HiK 4 in 1 (JY-019), 1996 Super HiK 4 in 1 (JY-018)
  [famiac, NewRisingSun]
  2 in 1 - Mortal Kombat 6 & Mortal Kombat 7, 4 in 1 (KS-106C), 9 in 1 (USA, prototype) [kmg]
  Contra (pirate) [kryzsiobal]
  1995 Super HiK 4 in 1 (JY-023), 1996 Super HiK 4 in 1 (JY-020), 1996 Super HiK 4 in 1 (JY-072), 1997 Super HiK 4 in 1 (JY-024),
  2 in 1 - Big Nose the Caveman & Big Nose Freaks Out [MLX]
  The Ancient Modern Heros, Little Com 160, Powerful 250 in 1,
  Super Mari - Mali Lugi - Mari no Daisakusen 2 (Chip 'n Dale 2 pirate), Tetris Family 5 in 1 [NewRisingSun]
  1993 Heroe Series 4 in 1 (JY-001), 1994 Super HiK 4 in 1 (JY-001), 1994 Super HiK 4 in 1 (JY-002), 1994 Super HiK 4 in 1 (JY-003),
  1995 Super HiK 4 in 1 (JY-008), 1995 Super HiK 4 in 1 (JY-024), 1995 Super HiK 4 in 1 (JY-038), 1995 Super HiK 4 in 1 (JY-039),
  1995 Super HiK 4 in 1 (JY-040), 1995 Super HiK 4 in 1 (JY-043), 1995 Super HiK 4 in 1 (JY-047), 1996 Super HiK 4 in 1 (JY-057),
  1996 Super HiK 4 in 1 (JY-058), 1997 Super HiK 4 in 1 (JY-047) [NewRisingSun, taizou]
pc98_cd:
  Chuushaki - Hirasawa Nurse School, if - Invitations from Fantastic Stories, if 3 - Invitations from Fantastic Stories,
  Kousoku - Yorokobi no Aegi, Moonlight Energy 2, Tania, Waku Waku Mahjong Panic! 2 - Kokushi Musou [redump.org]
  Kanako, Record of Lodoss War II - Goshiki no Maryuu, The Silent Service - Chinmoku no Kantai, Virtuacall [redump.org, wiggy2k]
squale_cart: Squale Technical Demo [Jean-François DEL NERO]
trs80_cass: Hoppy [Robbbert]
vsmile_cart: V.Smile Jammin' Gym Class (USA) [skaman]


Software list items promoted to working
---------------------------------------
fmtowns_cd: Custom Mate + Denwa no Bell ga..., NHK Zoku Kiso Eigo - Dai-3-kan [wiggy2k]
nes:
  115 in 1, 150 in 1 Unchained Melody (Fight 150 Ver. Love), 1994 Super HIK 14 in 1 (G-136), 2 in 1 - Donkey Kong & Jungle Book,
  2000 in 1 (No Splash, No Rev, Alt Mapper), 255 in 1, 31 in 1, 4 in 1 (411120-C), 4 in 1 (OK-411), 4 in 1 1993 (CK-001),
  4 in 1 1993 (CK-001, Alt), 500 in 1, 500 in 1 (Alt), 6 in 1 (MGC-023), 9999 in 1 (Anim. Splash, Rev 13), 9999999 in 1 (Alt),
  Boogerman (Rus), Earthworm Jim 2 (Asia, Hacked?), Fighting Hero (Asia), Fighting Hero III (Asia), Powerful 255 in 1,
  Sonic & Knuckles 5 (Asia), Street Dance (Asia, Hacked?), Street Fighter II - The World Warrior (Asia),
  Street Fighter II - The World Warrior (Asia, Alt 2), Street Fighter II - The World Warrior (Asia, Alt),
  Super 8 in 1 (Including Rockin' Kats), Super Mario Bros. 2 (LE10), Super Mario Bros. 2 (YUNG-08),
  Super Mario Bros. 2 (YUNG-08, no protection), Super Mario Bros. IV (Armadillo pirate), Tetris Family 12 in 1 (GS-2013),
  Tetris Family 6 in 1 (GS-2004), Ultimate Mortal Kombat 4 (Asia) [kmg]


New NOT_WORKING software list additions
---------------------------------------
amiga_workbench: AmigaOS 4.0 Classic [fsck.technology]
cd32: Superfrog (Rev 1) [TheBoss]
fm7_cass: Crash Ball, FM Racer [Cytlan, Gaming Alexandria]
fmtowns_cd:
  Akiko Gold, Game Nihonshi - Kakumeiji Oda Nobunaga, Game Nihonshi - Tenkabito Hideyoshi to Ieyasu, Kid Pix Companion [redump.org]
  Speech Trainer V1.0 L10 [redump.org, cyo.the.vile]
n64: PowerFlash (Europe) [TeamEurope]
pc98_cd:
  Moonlight-chan Rinshan, Psychic Detective Series Vol. 4 - Orgel, Syndicate, Yumeutsutsu - Dreamy [redump.org]
  OS/2 Warp V3 - Nihongo-ban [sampson]
vsmile_cart: Marvel Spider-Man & Friends - Where is Hulk (Smartbook) (USA) [skaman]
vsmileb_cart:
  Baby Einstein - World of Discoveries (USA), Baby Einstein - World of Discoveries (USA, alt), Barney - Let's Go to a Party (USA),
  Care Bears - Play Day (USA), A Day on the Farm (USA), Discovery with Baby Mickey & Friends (USA), Mother Goose (USA),
  Nickelodeon The Backyardigans - Big Backyard Adventure (USA), Noah's Ark - Animal Adventures (USA),
  Teletubbies - Time for Teletubbies (USA) [skaman]


Merged pull requests
--------------------
- 8239: bus/nes: Fixed NTDEC PCB bugs, and added support for N715021 PCB. [kmg]
- 8291: bus/nes: Fixed various issues with multi-game cartridges. [kmg]
- 8326: bus/nes: Added support for a Contra bootleg. [kmg]
- 8331: c64_cass.xml: Changed the format of some tape labels. [Steven Coomber]
- 8333: qx10.cpp: Corrected video memory size and mirroring (fixes graphics scrolling). [Brian Johnson]
- 8352: chdman: Added some additional hard disk templates. [Davide Cavalca]
- 8354: amiga_hdd.xml: Added hard disk images with Workbench pre-installed. [Davide Cavalca]
- 8355: nes.xml: Hooked up Donkey Kong & Jungle Book pirate cartridge. [kmg]
- 8356: machine/hp_taco.cpp: Implemented commands to read HP9825 tapes. [F.Ulivi]
- 8357: c64_cass.xml: Added five items. [The Ultimate Tape Archive Team, Steven Coomber]
- 8358: amiga_workbench.xml: Added AmigaOS 3.9 and AmigaOS 4.0 Classic. [archive.org, fsck.technology, Davide Cavalca]
- 8359: bus/nes: Added support for a Big Nose 2-in-1 cartridge. [kmg, MLX]
- 8361: bus/nes: Fixed a Super Mario Bros. 2 FDS pirate conversion. [kmg]
- 8362: video/n64.cpp: Improved 8 BPP frame buffer mode and VI scan-out. [Ryan Holtz, krom]
- 8363: bus/centronics/epson_lx810l.cpp: Added a fake reset button. [Golden Child]
- 8364: video/gime.cpp: Adjusted constant RAM setting logic for $FExx area to fix Demon Attack splash screen. [Tim Lindner]
- 8365: video/gime.cpp: Corrected timer period calculation, exposed in Pop*Star Pilot. [Tim Lindner]
- 8366: bus/nes: Emulated recently-added YUNG-08 Super Mario Bros. 2 FDS conversion bootlegs. [kmg]
- 8368: bus/nes: Fixed emulation for 31 in 1 multi-game cartridge. [kmg]
- 8369: startouch.cpp: Fixed some grammar errors in comments. [ClawGrip]
- 8370: cedar_magnet.cpp: Added Paris Dakar and Dracula's Castle. [Jose Marquez Retrobytes, Recreativas.org, David Haywood]
- 8371: 8080bw.cpp: Added Rescate Lunar (Spanish bootleg of Lunar Rescue) [Ricardo - Factory Arcade, Recreativas.org]
- 8372: radikaldarts.cpp: added Radikal Darts (Diana Version 7.29.25). [jordigahan, ClawGrip]
- 8373: bus/nes: Fixed the three non-working games in the 11 in 1 Ball Series multi-game cartridge. [kmg]
- 8374: sauro.cpp: Added Sea Wolf (Tecfri). [Lorenzo, Victor Fernandez (City Game), ClawGrip]
- 8376: formats/imd_dsk.cpp: Fixed segmentation fault when saving FM tracks. [Jesse Marroquin]
- 8377: hh_sm510.cpp: Re-scanned display for Elektronika Autoslalom. [algestam]
- 8378: bus/nes: Added support for the Little Com 160 Korean multi-game cartridge. [kmg, NewRisingSun]
- 8372: video/upd7220.cpp: Corrected address space to use word addressing, and fixed emulation of GCHRD command. [Brian Johnson]
- 8381: epos.cpp: Swapped the order of the buttons on Beastie Feastie to match Super Glob and The Glob. [Steven Coomber]
- 8382: fm7_cass.xml: Added thirteen items. [Cytlan, Gaming Alexandria, TheMechasaur]
- 8383: ibm5150.xml: Moved Windows 1.x items from ibm5170.xml as they work on XT class systems. [Davide Cavalca]
- 8384: ibm5150_hdd.xml: Added pre-installed MS-DOS, PC-DOS and Windows 1.0 images. [Davide Cavalca]
- 8388: bus/nes: Added support for Caltron 9 in 1 prototype. [kmg]
- 8389: lwriter.cpp: Corrected the polarity of the SCC interrupt signal. [Jeff Muizelaar]
- 8390: bus/nes: Added support for a Kaiser 4-in-1 multi-game cartridge. [kmg]
- 8391: lwriter.cpp: Added support for the original LaserWriter. [Jeff Muizelaar]
- 8392: machine/smc91c9x.cpp: Improved full duplex switched mode, and implemented auto-release mode. [Kelvin Sherlock]
- 8394: nes.xml: Removed fancybro, as it’s a game extracted from a multi-game cartridge. [kmg]
- 8395: Added two items, replaced two items hacked for emulators with re-dumps, and removed another hack. [NewRisingSun, kmg]
- 8396: bus/nes: Added support for several JY Company 4-in-1 bootleg cartridges. [kmg, famiac, NewRisingSun, MLX]
- 8397: Fixed default snapshot/recording size when using the -uesx option. [Antonio Giner]
- 8398: bus/nes: Added support for FC Genjin 8 in 1 (JY-119) and TV Game 5 in 1 cartridges. [kmg, CaH4e3, NewRisingSun, Bisqwit]
- 8400: clshroad.cpp: Fixed colors and improved timings. [Angelo Salese]
- 8401: bus/nes: Added support for 21 in 1 (K-3006) and 35 in 1 (K-3036) multi-game cartridges. [kmg, anonymous]
- 8402: naomi.cpp: Removed placeholder comment for Driving Simulator now that it has been added. [f205v]
- 8403: lwriter.cpp: Added support for LaserWriter Plus ROM. [Jeff Muizelaar]
- 8404: bus/nes: Fixed Powerful 255 in 1, and added Powerful 250 in 1. [kmg, NewRisingSun]
- 8405: video/upd7220.cpp: Made FIGD drawing use ead and mask to calculate drawing location. [Brian Johnson]
- 8406: bus/nes: Added support for 150 in 1 Unchained Melody (Fight 150 Ver. Love). [kmg]
- 8409: mc10.cpp: Corrected screen timings and visible area. [Tim Lindner]
- 8410: bus/nes: Fixed graphics in several multi-game cartridges, and removed an under-dump. [kmg]
- 8412: bus/nes: Added support for Super 8 in 1 (Including Rockin' Kats). [kmg]
- 8413: naomi.cpp: Corrected some comments. [f205v]
- 8415: cpu/rsp: Removed recompiler and implemented more instructions; video/n64.cpp: Fixed K4/K5 YUV factor handling. [Ryan Holtz]
- 8416: bus/nes: Fixed 411120-C board emulation, and added a compatible game. [kmg]
- 8417: bus/nes.xml: Hooked up Magic Carpet clones to correct devices (fixes graphics), and removed duplicate magicarps2. [kmg]
- 8418: ksys573.cpp: Added several versions of Guitar Freaks and Guitar Freaks 2nd Mix. [Windy Fairy, Taro]
- 8419: Updated to latest version of bx, bimg and bgfx. [Miodrag Milanović]
- 8420: megadriv.cpp: Dumped BIOS from a late-model UK Mega CD with smaller, Sony-made PCB. [TwistedTom]
- 8421: bus/nes: Fixed graphical issues in BB Car clones; nes.xml: Marked several non-working games as unsupported. [kmg]
- 8423: lwriter.cpp: Added notes on VIA pin connections. [Jeff Muizelaar]
- 8424: fmtowns_cd.xml: Added 30 items, re-dumped 17 items, and added two missing floppies. [redump.org, r09, wiggy2k]
- 8425: bus/nes: Fixed bugs in emulation of Game Start type “A” boards. [kmg]
- 8426: missbamby.cpp: Removed obsolete comment after confirming that Lucky Player uses a Cirsa 810702 PCB. [ClawGrip]
- 8427: nes.xml: Set correct board types for several pirate games. [kmg]
- 8428: bus/nes: Added support for 17 in 1 (60311C) and Super HiK 6 in 1 (A-030) multi-game cartridges. [kmg]
- 8429: gfamily.cpp: Improved hardware notes. [ClawGrip]
- 8430: machine/apple2common.cpp: Added disassembler support for GS/OS and ProDOS 16 calls. [Kelvin Sherlock]
- 8431: miniguay.cpp: Corrected title of miniguay, and added notes about undumped versions. [ClawGrip]
- 8433: geniusjr.cpp: Added C.Q.F.D Scientus (France). [PulkoMandy, ClawGrip]
- 8434: viper.cpp: Added audio support, improved inputs and DIP switches, and fixed default NVRAM contents. [Windy Fairy]
- 8435: bus/nes: Added support for 21 in 1 (GA-003) multi-game cartridge. [kmg, Consolethinks]
- 8436: pc98_cd.xml: Added 16 items, and replaced 21 items with better dumps. [r09, redump.org, wiggy2k, sampson]
- 8437: bus/nes: Improved support for Super HiK 300-in-1 cartridges, and added support for 500-in-1 cartridges. [kmg]
- 8438: video/gime.cpp: Reverted memory mapping change from #8364. [Tim Lindner]
- 8439: ibm5170_cdrom.xml: Added five GT Interactive 1995 releases of arcade ports. [David Silva]
- 8440: seibuspi.cpp: Updated notes for jumper JP1 based on a Raiden Fighters Jet manual. [cam900]
- 8441: bus/nes: Added support for 4 in 1 (K-3131GS) and 4 in 1 (K-3131SS) multi-game cartridges. [kmg]
- 8442: bus/nes: Fixed menu access for a Contra/22-in-1 combination cartridge. [kmg]
- 8443: util/zippath.cpp: Fixed selecting the root directory on non-Windows systems in file selection menus. [Tim Lindner]
- 8444: video/avgdvg.cpp: Enabled X/Y flip for Major Havoc, as it’s supported by the hardware despite being unused. [Jess Askey]
- 8445: bus/nes: Added support for four multi-game cartridges using two board types. [kmg, famiac, Consolethinks, NewRisingSun]
- 8446: bus/nes: Improved emulation of 115 in 1 and related multi-game cartridges; nes.xml: Removed corrupt dump mc_110a. [kmg]
- 8447: nes.xml: Set correct board type for badmintn. [kmg]
- 8450: nes.xml: Set correct board types for ejim2d, sdance, and smb8a. [kmg]
- 8451: megadriv.xml: Trimmed under-dump for s19in1 to the size of actually dumped data and marked it as bad. [kmg]
- 8452: sound/ics2115.cpp: Improved volume envelope emulation using logic described in patent. [nabetse]
- 8453: bus/nes: Improved support for various RCM multi-game cartridges. [kmg, NewRisingSun]
- 8457: missbamby.cpp: Added Basket. [jordigahan, Miguel Arcade, ClawGrip]
- 8458: bus/nes: Improved interrupt and banking logic for Sunsoft 3 boards. [kmg]
- 8459: vsmileb_cart.xml: Added ten items, and re-dumped one item. [skaman, ClawGrip]
- 8460: gfamily.cpp: Added a BIOS dump found on a Pentium 4-based variant. [jordigahan, ClawGrip]
- 8461: bus/nes: Improved emulation of two Contra multi-game cartridges. [kmg]
- 8462: bus/nes: Improved emulation of three Super Mario Bros. 2 FDS conversion bootleg boards. [kmg]
- 8464: vsmile_cart.xml: Added two items. [skaman, ClawGrip]
- 8465: rfslotsmcs48.cpp: Added two versions of Recreativos Franco Baby Fruits. [Salvador, parramon, ClawGrip]
- 8466: bus/nes: Added support for 2 in 1 - Mortal Kombat 6 & Mortal Kombat 7, and removed extracted games. [kmg]
- 8467: apple2_flop_clcracked.xml, apple2_flop_orig.xml, apple2gs_flop_orig.xml: Added latest dumps and cracks. [4am, Firehawke]
- 8468: opercoin.cpp: Added Multi Baby. [jordigahan, ClawGrip]
- 8469: render/bgfx: Fixed palette and UYVY conversion shaders (MT07760), and avoided poorly supported RGBA8 format. [Ryan Holtz]
- 8472: bus/nes: Improved Super Game bootleg emulation, and fixed a Boogerman bootleg. [kmg, Consolethinks]
- 8473: vsmileb.cpp: Added default input assignments for the slider, and demoted to not working due to audio issues. [Ryan Holtz]
- 8474: n64.xml: Added PowerFlash (Europe) Game Boy emulator cartridge. [TeamEurope, ClawGrip]
- 8477: spectrum_cass.xml: Updated metadata for many items. [spectrumcomputing.co.uk, worldofspectrum.org, ArcadeShadow]
- 8478: bus/nes: Added support for MMC3 reset-based 4-in-1 multi-game cartridges. [kmg, NewRisingSun, taizou, MLX]
- 8479: bus/nesmmc3_clones.cpp: Fixed an issue with dangling references to temporaries. [kmg]
- 8480: ibm5170.xml: Added three items, and replaced two items with clean dumps. [The Good Old Days, ArcadeShadow]


Source Changes
--------------
-megasys1.cpp updates: [Ivan Vangelista]
 * documented different p47j ROM board configurations [CPsystem3]
 * corrected to the audio CPU memory map and verified that edfbl has an undumped PIC [hammy]

New working clones
------------------
S.V.G. - Spectral vs Generation / Sheng Mo Shiji (M68k label V101HK) (ARM label V101HK, ROM 06/20/05 S.V.G V100) [XeD]

-c64_cass.xml: Correct some invalid ROM filename entries, as the tapes are otherwise unusable (#8331) [Steven Coomber]

-tx0_64kw: Various fixes [AJR]
 * Make IOS actually wait for I/O when used more than once
 * Remove break statement that disabled half the OPRs
 * Don't normalize minus zero sums (also applies to tx0_8kw)

-hp_taco: commands to read HP9825 tapes added [fulivi]

-tx0_8kw: IOS fix [AJR]

-apple2.cpp updates: [arbee]
 * Reading $C01X doesn't have the key-down flag on pre-IIe machines [R. Belmont]
 * Pravetz 8M now has the correct character ROM [Petko Bordjukov]

-bus/nes: Added support for a Big Nose 2-in-1 cart. [0kmg]
 * Demoted bignfo to unsupported. It has timing issues like many Camerica games. It is likewise not working in the added 2-in-1.

New working software list additions (nes.xml)
---------------------------------------------
2 in 1 - Big Nose the Caveman & Big Nose Freaks Out [MLX]

-bus/nes: Fixed non-working Whirlwind LE10 SMB2 FDS conversion. (#8361) [0kmg]

Software list items promoted to working (nes.xml)
-------------------------------------------------
Super Mario Bros. 2 (LE10) [0kmg]

-nes.xml: Set correct board type for 2dkjb bootleg. (#8355) [0kmg]

-f2mc16: Updates and fixes [AJR]
 * Emulate various additional instructions and modes
 * Fix banking for direct addressing mode
 * Fix semantics of CLRB and number of bytes consumed by SETB
 * Fix mistake with calculating N and Z flags for SUB and CMP and writing incorrect result for SUB
 * Use INC(W)(L) A and DEC(W)(L) A pseudo-operations in disassembly

New machines marked as NOT_WORKING
----------------------------------
Sony DPS-V55 Multi-Effect Processor [DBWBP]

New working clones
------------------
Rafflesia (not encrypted) [Shane Reel]

-system1: spacing [hap]

-trspacmis: put companyname in title string, conflict with galaxian.cpp spcmission recently added set [hap]

-apple2gs: pass TrueGS SHR Linearization test. [R. Belmont, Peter Ferrie, John Brooks]

-dpsv55: Add LCD screen [AJR]

-Force constant  RAM does not override ROM settings. [tim lindner]

New machines marked as NOT_WORKING
----------------------------------
ACT Apricot XEN [John Elliott]

New machines marked as NOT_WORKING
----------------------------------
Super Cobra (Gakken, green version) [hap, Kevin Horton, Sean Riddle]

-coco3: GIME timer was twice as fast as it should be (#8365) [tim lindner]

New working software list additions
-----------------------------------
trs80_cass: Hoppy [Robbbert]

-trs80_cass: fixed usage for Hoppy. [Robbbert]

-segas16b.cpp: Set year for The Destroyer From Jail to 1991 based on regulatory approval document date. [Vas Crabb]

-N64 video adjustments: 8bpp mode, VI scan-out improvement (#8362) [MooglyGuy]
 * -n64: Fixed handling of 8bpp framebuffer mode. Adjusted how VI scan-out functions. [Ryan Holtz, krom]
 * -rdp: Swapped 'magic matrix' dither pattern axes to match hardware tests. [Ryan Holtz, krom]
 * -n64: Removed unnecessary cast.

-neogeo.cpp: fix typo with Thrash Rally in documentation [Angelo Salese]

New working software list additions
-----------------------------------
entex_sag: Basketball 3 [Kevin Horton, Sean Riddle]

-hh_hmcs40: unshuffled gscobra rom [hap]

-ns32000: fix smr instruction bug [Patrick Mackinlay]

-ns32202: implement counter current values [Patrick Mackinlay]

-ns32kdb: additional firmware [Vince Ibeachum]
 * serial diagnostic support
 * corrected timer clock

-ns32kdb: corrected eprom labels [Patrick Mackinlay]

-ns32202: fix syntax errors [Patrick Mackinlay]

-ns32082: implement program flow trace support [Patrick Mackinlay]

-dangbar.cpp:  fix sspanic label typo [Scott Stone]

-qx10.cpp: Corected video RAM size - onlly 128k is present (fixes graphics scrolling). (#8333) [Brian Johnson]

-bus/nes: Added support for YUNG-08 SMB2 FDS conversions. (#8366) [0kmg]

Software list items promoted to working (nes.xml)
-------------------------------------------------
Super Mario Bros. 2 (YUNG-08) [0kmg]
Super Mario Bros. 2 (YUNG-08, no protection) [0kmg]

-royalmah.cpp: added banking to rkjanoh2, too. Almost playable, but bad colors. [Ivan Vangelista]

-f2mc16: General cleanup [AJR]
 * Add helper functions for increment and decrement operations and short direct banking
 * Rationalize use of temporary variables
 * Modify only lowest 8 bits of accumulator for XOR A, #imm8
 * Perform a 16-bit rather than 8-bit write for MOVW @RLx + #disp8, A
 * Use SSB instead of USB for @RW3 or @RW7 addressing when S flag is set
 * Fix numerous flag calculations

-pc9801: disable code causing egc issues and add color compare support [cracyc]

-Allow the bpset/wpset/rpset & map commands to act on any cpu, by prefixing the index or name with a # and passing as the first
 parameter. [smf]

-f2mc16: Updates [AJR]
 * Emulate many more opcodes
 * Add interrupt callback for debugger
 * Correct disassembly of MOVW io, A

-motoxgo: Add "extra" I/O CPU to configuration [AJR]

-Slightly cleaned up OSD input modules. [Vas Crabb]
 * Removed support for DirectInput 7 and earlier.  It hasn't been tested in years, and it's not relevant on any supported OS.
    DirectInput is effectively finalised at version 8, and is unlikely to get an API update in the future.
 * Use more string[_view] and fewer C strings, and tightened up scope of a few things.

-bus/nes: Fixed a BMC 31 in 1 pirate multi-game. (#8368) [0kmg]

Software list items promoted to working (nes.xml)
-------------------------------------------------
31 in 1 [0kmg]

-trs80_cass: fixed silly mistake [Robbbert]

-fdc37c93x.cpp: add placeholder routine for mouse irq [yz70s]

-i82439hx.cpp: corrections to pci configuration space map and decoding to debug log of pam register writes [yz70s]

-i82371sb.cpp: various changes, windows 98 recognizes the ide busmaster controller in pcipc driver [yz70s]
 * corrections to pci configuration space maps
 * remove useless redefinitions of command_w/r in ide device
 * placeholders for nmi, stpclk and extsmi lines of isa bridge
 * correctly support 8 bit writes to idetim registers

-bus/nes: Fixed the 3 non-working games in 11 in 1 Ball Series multicart. (#8373) [0kmg]
 * Fixed games: Volleyball, Paddle, Dynamite Bowling

-maciifx: Add preliminary PIC (Peripheral Interface Controller) devices and OSS interrupt control [AJR]
 * machine/applefdintf.*: Correct permissions

-imd_dsk.cpp: Fix segmentation fault saving FM track [Jesse Marroquin]
 * Incorrect cell size for FM track results in empty bitstream that ultimately causes data.empty() to seg fault.

-applepic: Add device files missing from 918da8411db59ec376d800ae2a424344a6736a25 [AJR]

-applepic: Add timer and remaining GPIO [AJR]

-swim1: Disable read side effects to help debugging [AJR]

New WORKING clones (#8371)
--------------------------
Rescate Lunar (Spanish bootleg of Lunar Rescue) [Ricardo - Factory Arcade, Recreativas.org]

-chdman: add a few more hard disk templates (#8352) [Davide Cavalca]

-hh_sm510: rescan display for auslalom (#8377) [algestam]

-new WORKING machine (#8370) [David Haywood]

new WORKING machine
-------------------
Paris Dakar (31/03/87, Spanish) [Jose Marquez - Retrobytes, Recreativas.org]

new NOT WORKING machines
------------------------
Dracula's Castle (Magnet System) [Jose Marquez - Retrobytes, Recreativas.org]

-startouch.cpp: Fix typos (#8369) [ClawGrip]

-mermaid.cpp: added missing items to state saving, updated notes [Ivan Vangelista]

-mermaid.cpp: updated to use measured clock, one more note added, marked mermaid and clone as imperfect graphics [Ivan Vangelista]

-jantotsu.cpp: updated to use finders and other small cleanups [Ivan Vangelista]

-epos.cpp: swap ceiling/call elevator button assignments on beastf to match super glob/the glob [Steven Coomber]

-taitopjc: Fixed lockup issues. Improved tilemap emulation. [Ville Linde]

-fix OSD=mac compile [R. Belmont]

-voodoo: Address minor coverity complaints [Aaron Giles]

-apple2.cpp: Add and use the correct character ROM for the Pravetz 82. [sandacite.com, R. Belmont]

-tc0780fpa: fix texture issues in optiger [Ville Linde]

-formats/fsmgr.cpp: Don't assume string iterators can be indexed (reported by coverity). [Vas Crabb]

-bus/nes: Added support for Little Com 160 Korean multicart. (#8378) [0kmg]

New working software list additions (nes.xml)
---------------------------------------------
Little Com 160 [NewRisingSun]

-coco12.cpp: Corrected installed RAM being off by 1 byte. Fixes MT#08045 [Nigel Barnes]

-bus/nes: Added support for Caltron 9 in 1 prototype. [0kmg]
 * Also corrected Caltron 6 in 1 to more accurately reflect PCB behavior. Fixes the one game that wasn't working (Cosmos Cop).

New working software list additions
-----------------------------------
9 in 1 (USA, prototype) [0kmg]

-ibm5170.xml, ibm5170_cdrom.xml: Fixed parent/clone issue + clean up of related labels to uniquely identify. [Scott Stone]

-lwriter.cpp: Invert the state of the SCC interrupt (#8389) [Jeff Muizelaar]

-Genearate seaparate dasm header for TMS57002 [Miodrag Milanovic]

-little hack to make it build fine with current build system [Miodrag Milanovic]

-albazc.cpp, albazg.cpp, chanbara.cpp: made use of object finders and other minor cleanups [Ivan Vangelista]

-smc91c96 updates (a2osx w/ lancegs) [Kelvin Sherlock]
 * 1. m_loopback_result needs to be a signed into so negative status codes remain negative. 2. FDSE bit was masked out 3. when full
    duplex switched internet is active, deferrals and collisions not used 4. implement AUTO_RELEASE

-namcofl: fix network status error, this also fixes the paralyzed flagman [Angelo Salese]

-timelimt: halve maincpu nmi rate, fixed spriteram out of bounds access [hap]

-fdc37c93x.cpp: use ns16550 instead of ns16450 for rs232 as per datasheet [yz70s]

-nes.xml: Removed fancybro multicart extract. (#8394) [0kmg]
 * CRC match of the game can be found in at least one multicart, mc_52gam. Extracted game crashes when reset since it tries to
    return to the multicart menu.

-lwriter.cpp: Add support for the original LaserWriter. (#8391) [Jeff Muizelaar]

-bus/nes: Added support for a Kaiser 4-in-1 cart. (#8390) [0kmg]

New working software list additions (nes.xml)
---------------------------------------------
4 in 1 (KS-106C) [0kmg]

New working clones
------------------
Hockey (Mattel, export version) [hap, Sean Riddle]

-ssfindo.cpp: preliminary QS1000 hook up. There seems to be a bug in the ARM_VIDC20 device that causes static / bad sounds. Just set
 the related volume sliders to 0 to hear the QS1000. [Ivan Vangelista]

-megasys1.cpp updates: [Ivan Vangelista]
 * verified edfbl XTAL and clock [caius]
 * dumped Peek A Boo Japan 1.1, matches peekaboo set [Ricardo Gonçalves]
 * standardized PROM locations for games running on 1A  board [hammy]

-nes.xml: Two redumps, two new dumps, one dump removed. (#8395) [0kmg]
 * Replaced smb10 and smario14 with cart redumps - previous dumps were ROM hacks to allow the games to work on ancient emulators.
    [NewRisingSun]
 * Removed ROM hack smb11a - smb11 is the proper pirate MMC3-variant dump, so it is retained.
 * Hooked magicblks up to a proper slot device - fixes graphics.

New working software list additions
-----------------------------------
The Ancient Modern Heros [NewRisingSun]
Super Mari - Mali Lugi - Mari no Daisakusen 2 [NewRisingSun]

-video/upd7220.cpp: Made address space use word addressing, and implemented proper ead/dad/mask support for draw_char. (#8379)
 [Brian Johnson]

-z8536: Better daisy chain support, fix port assignment when writing data [Dirk Best]

-apxen: Checkpoint, get something on screen [Dirk Best]
 * Implement video slot and mono graphics video card
 * Hook up CIO, SIO, RTC, PIT, SN76489
 * Add daisy chain for Z80 devices and hook it up to the PIC
 * Add system control ports

-bus/nes: Added support for several JY Company 4-in-1 bootlegs carts. [0kmg]

New working software list additions (nes.xml)
---------------------------------------------
1994 Ball 4 in 1 Series (JY-009) [famiac, NewRisingSun]
1996 Super HiK 4 in 1 (JY-018) [famiac, NewRisingSun]
1995 Super HiK 4 in 1 (JY-019) [famiac, NewRisingSun]
1996 Super HiK 4 in 1 (JY-020) [MLX]

Software list items promoted to working (nes.xml)
-------------------------------------------------
Game 4 in 1 (OK-411) [0kmg]

-maygay1bsw.cpp: Added sound roms for m1jbond machine [Highwayman]

-ssfindo.cpp: addressed feedback and minor comment update [Ivan Vangelista]

-z8536: Avoid magic numbers [Dirk Best]

-emu/render.cpp: Fixed automatic sizing of snapshots/recordings. (#8397) [antonioginer]
 * This fixes bad scaling on snapshots and recording when using -uesx and forced scale factors.

-bus/nes: Added support for 8-in-1 and 5-in-1 multicarts. [0kmg]

New working software list additions (nes.xml)
---------------------------------------------
FC Genjin 8 in 1 (JY-119) [CaH4e3, NewRisingSun]
TV Game 5 in 1 [Bisqwit]

-apple2gs: Fix 80-column page 2 display, fixes Applecorn. [Peter Ferrie, R. Belmont]

-pc9801: shift underline attr 4 pixels to the right [cracyc]

-ssfindo.cpp: hooked up dips for ppcar [Ivan Vangelista]

New working clones
------------------
Air Inferno (World) [Trol]

New clones marked as NOT_WORKING
--------------------------------
Time Crisis 3 (TST3 Ver. A) [system11, rtw]

-zaccaria.cpp: added some notes about a new dump of the jackrabt set with bigger program ROMs [flocke]

-vamphalf.cpp: got yorijori to boot, left as not working as it needs a ROM patch for now [Ivan Vangelista]

New working clones
------------------
Bubble Buster (USA, B-System) [CoolMod, The Dumping Union]

-taito_f2.cpp: fix ninjak default lives to 3 (matches all OFF convention) [Angelo Salese]

-naomi.cpp: dumped earlier/prototype Sega 837-13844 JVS I/O board [Fabrice Arzeno]
 * documentation misc additions [MetalliC]

-taitopjc: fix save states [Ville Linde]

-fdc37c93x.cpp: actually read logical device registers [yz70s]

-lwriter.cpp: Add support for LaserWriter Plus ROM (#8403) [Jeff Muizelaar]

-naomi.cpp: remove duplicate entry for "Driving Simulator" (#8402) [f205v]

-bus/nes: Fixed Powerful 255 in 1 and added its parent. (#8404) [0kmg]

New working software list additions (nes.xml)
---------------------------------------------
Powerful 250 in 1 [NewRisingSun]

Software list items promoted to working (nes.xml)
-------------------------------------------------
Powerful 255 in 1 [0kmg]

New working clones
------------------
Mag Max (set 2) [Purity]

-crystal.cpp: documented test switch for wulybuly [Ivan Vangelista]

-bus/nes: Added support for 21-in-1 and 35-in-1 multicarts. (#8401) [0kmg]

New working software list additions (nes.xml)
---------------------------------------------
21 in 1 (K-3006) [anonymous]
35 in 1 (K-3036) [anonymous]

-clshroad.cpp: various fixes (#8400) [Angelo Salese]
 * clshroad.cpp: Add tilemap color bank, fix lightning flashing and color cycling for Fire Battle; clshroad.cpp: Hand-tuned all
    clock frequencies for clshroad and halved vblank irq rate, syncing video and sound timings in logical sense;
 * wiping.cpp, wiping.cpp: Convert to Xtal and add tentative screen raw params;
 * audio/wiping.cpp: Make custom audio to actually not divide internally by 2;
 * clshroad.cpp: minor realign documentation

-lwriter.cpp: Minor fixes and cleanup. [Vas Crabb]
 * Don't set initial signal state in machine config - do it on start.
 * No need to reset child devices on machine reset, that's done for you.
 * Put ROMs in the same order as machine macros.

-bus/nes: Added support for mc_150um multi-game cartridge. (#8406) [0kmg]

Software list items promoted to working (nes.xml)
-------------------------------------------------
150 in 1 Unchained Melody (Fight 150 Ver. Love) [0kmg]

-cv1k.cpp: replace futariblj program ROM with clean dump, previous was dumped from upgraded futari15 PCB and contained trailing
 garbage [XeD]

-New NOT_WORKING machines (#8372) [ClawGrip]
 * Add 'radikaldarts.cpp'

New NOT_WORKING machines
------------------------
Radikal Darts (Diana Version 7.29.25) [jordigahan, ClawGrip]

-c64_cass.xml: Proposal for raising standard of software list files (#8357) [Steven Coomber]

New working software list additions
-----------------------------------
Bad Cat (Go!) [C64 Ultimate Tape Archive V2.0]
Bad Dudes Vs. Dragon Ninja (Imagine) [C64 Ultimate Tape Archive V2.0]
Bad Dudes Vs. Dragon Ninja (Erbe) [C64 Ultimate Tape Archive V2.0]
Bangkok Knights (Activision) [C64 Ultimate Tape Archive V2.0]
Basket Master (Imagine) [C64 Ultimate Tape Archive V2.0]

-amiga_hdd: add new software list (#8354) [Davide Cavalca]

New working software list additions
-----------------------------------
Workbench 2.05 [Davide Cavalca]
Workbench 2.1 [Davide Cavalca]
Workbench 3.0 [Davide Cavalca]
Workbench 3.1 [Davide Cavalca]

-amiga_workbench: new software list additions (#8358) [Davide Cavalca]

New working software list additions
-----------------------------------
AmigaOS 3.1.4 [Davide Cavalca]
AmigaOS 3.1.4.1 (Update) [Davide Cavalca]
AmigaOS 3.2 [Davide Cavalca]
AmigaOS 3.2 (3.5" floppies) [Davide Cavalca]
AmigaOS 3.9 [archive.org]

New NOT_WORKING software list additions
---------------------------------------
AmigaOS 4.0 Classic [fsck.technology]
AmigaOS 4.1 Final Edition for Classic [Davide Cavalca]

-ibm5150_hdd: new software list additions (#8384) [Davide Cavalca]

New working software list additions
-----------------------------------
AT&T Personal Computer 6300 DOS Release 2.0 (MS-DOS 2.11) [Davide Cavalca]
MS-DOS (Version 3.30A) [Davide Cavalca]
MS-DOS (Version 4.00) [Davide Cavalca]
MS-DOS (Version 5.00) [Davide Cavalca]
Multitasking MS-DOS (Version 4.00) [Davide Cavalca]
IBM Personal Computer DOS (Version 2.00) [Davide Cavalca]
IBM Personal Computer DOS (Version 2.10) [Davide Cavalca]
IBM Personal Computer DOS (Version 3.00) [Davide Cavalca]
IBM Personal Computer DOS (Version 3.10) [Davide Cavalca]
IBM Personal Computer DOS (Version 3.20) [Davide Cavalca]
IBM Personal Computer DOS (Version 3.30) [Davide Cavalca]
Microsoft Windows Version 1.0 [Davide Cavalca]

-fm7_cass: New software list additions (#8382) [TheMechasaur]

New WORKING software list additions
-----------------------------------
Biotek [Cytlan, Gaming Alexandria]
Elevator Game [Cytlan, Gaming Alexandria]
Hitsuji Yaai [Cytlan, Gaming Alexandria]
Killer Station [Cytlan, Gaming Alexandria]
Kinasai [Cytlan, Gaming Alexandria]
Oozumou [Cytlan, Gaming Alexandria]
Shinjuwan Kougeki [Cytlan, Gaming Alexandria]
Yume no Pro Yakyuu [Cytlan, Gaming Alexandria]

New NOT_WORKING software list additions
---------------------------------------
Crash Ball [Cytlan, Gaming Alexandria]
FM Racer [Cytlan, Gaming Alexandria]

New WORKING software list clones
--------------------------------
I wa Sanjutsu Nari (alt) [Cytlan, Gaming Alexandria]
Sokoban (alt) [Cytlan, Gaming Alexandria]
Space Warp (alt) [Cytlan, Gaming Alexandria]

-bus/nes: Implemented support for multicart mc_s8rk. (#8412) [0kmg]

Software list items promoted to working (nes.xml)
-------------------------------------------------
Super 8 in 1 (Including Rockin' Kats) [0kmg]

-bus/nes: Fixed graphics in several multicarts and removed an underdump. (#8410) [0kmg]

-ap2000: hook up reset to Centronics init signal (#8363) [goldnchild]

-mc10: fix raster timing to hide vertical retrace lines (#8409) [tim lindner]

New machines marked as NOT_WORKING
----------------------------------
Smith Corona PWP System 14 [FozzTexx]

-tumbleb.cpp: added preliminary oki hookup for tumblepba [Ivan Vangelista]

-apxen: Hook up DMA and FDC, system can boot from floppy now [Dirk Best]

-bus/nes: Added support for a Contra bootleg. (#8326) [0kmg]

New working software list additions (nes.xml)
---------------------------------------------
Contra (pirate) [kryzsiobal]

-naomi.cpp: Updated notes. (#8413) [f205v]
 * Corrected PIN number for mask ROMs on 171-8132B carts.
 * Sorted games by year/number.

-bus/nes: Improved NTDEC cartridge support. (#8239) [0kmg]

Software list items promoted to working
---------------------------------------
Fighting Hero (Asia) [0kmg]
Fighting Hero III (Asia) [0kmg]

-ibm5150: relocate Windows 1.x sets from ibm5170 (#8383) [Davide Cavalca]

-Assorted N64 fixes (#8415) [MooglyGuy]
 * -rdp: Fixed incorrect channel swapping on 32-bit resampled framebuffers. [Ryan Holtz]
 * -rsp: Fixed LWV and VMOV behavior. Added reserved instructions V056, V057, V073, and VNULL. [Ryan Holtz, krom]
 * -rdp: Temporarily adjusted framebuffer resampling to not exceed screen bounds in some games. [Ryan Holtz]
 * -n64: Fixed SP DMA behavior based on hardware tests. [Ryan Holtz]
 * -rsp: Removed unused DRC and SIMD support. General code cleanup. [Ryan Holtz]
 * -n64: Pass K4 and K5 factors to threaded drawing code. Fixes black geometry in Conker's Bad Fur Day. [Ryan Holtz]
 * -aleck64: Fixed compile issue with previous commits. [Ryan Holtz]

-amiga_workbench: partial revert, new AmigaOS still sold/ in production [hap]

-apxen: Hook up keyboard [Dirk Best]

-bus/nes: Fixed BMC 411120-C cartridge emulation and added a compatible game. (#8416) [0kmg]

New working software list additions
-----------------------------------
19 in 1 (K-3088) [anonymous]

Software list items promoted to working
---------------------------------------
4 in 1 (411120-C) [0kmg]

-nes.xml: Fixes for Magic Carpet clones. (#8417) [0kmg]
 * Hooked magicarp and magicarps1 up to an appropriate cartridge device - fixes in-game graphics.
 * Removed magicarps2 which was an identical dump to magicarps1.

-Update bx to latest [Бранимир Караџић]

-Update bimg to latest [Бранимир Караџић]

-Update bgfx to latest [Бранимир Караџић]

-Update debugimgui to compile with latest imgui [MooglyGuy]

-Compile bgfx [Miodrag Milanovic]

-update shader.mk according to one in bgfx [Miodrag Milanovic]

new NOT_WORKING machine
-----------------------
Soreike! Anpanman Popcorn Factory 2 (Rev C) [Darksoft, Jorge Valero, MetalliC, rtw]

-apple2: Support for the Stellation Q-68 and Q-68 Plus 68008 coprocessor cards. [Rob Justice, R. Belmont]

-apple2: the two Q-68 cards use the same ROM. [R. Belmont]

-tryout.cpp: used object finders and other minor cleanups [Ivan Vangelista]

-gp32.h: initialized some arrays which were causing problems in drvnoclear builds [Ivan Vangelista]

-mame.lst:  added comments to simple machines [Scott Stone]

-*mame.lst: comment goes with machine. [Robbbert]

-lwriter.cpp: Elaborate the documentation of some of the VIA pins (#8423) [Jeff Muizelaar]

-bus/nes: Fixed graphics issues in BB Car clones. (#8421) [0kmg]
 * Graphics issues were in sets mihunche, mihunchea, and scche.
 * Separately, demoted several non-working games to not supported.

-bus/nes: Fixed bugs in Game Star type "A" boards. (#8425) [0kmg]
 * Corrects certain games not loading or loading with corrupt graphics in different multicarts.

-New WORKING clone (#8374) [ClawGrip]

New WORKING clone
-----------------
Sea Wolf (Tecfri) [Lorenzo, Victor Fernandez (City Game]

-fmtowns_cd.xml: 30 new dumps, 17 replacements, add missing floppies (#8424) [r09]
 * Redumped the vircall2 floppy disk [wiggy2k]
 * Added the missing floppy disk to cm1denwa and nhkzkei2 [wiggy2k]

New working software list additions
-----------------------------------
Anne no Yume no Kuni - Anne's Country of Dreams [redump.org]
ARS Art RentaLease - Kaiga Fukugou Kensaku System [redump.org]
C-Trace [redump.org]
Cover Girls Vol. 1 [redump.org]
Ed Bogas' Music Machine (HME-144A) [redump.org]
Enkaiou Ver. 3 - Chikyuu Saidai no Kessen [redump.org]
Exciting CD (Car Marty) [redump.org]
Fouge Vol. 2 - Masuo per Masuo - Ikeda Masuo Hanga-shuu (1994-07-08) [redump.org]
Hyper Eigo Gakushuu System - New Crown Series 2 [redump.org]
Hyper Eigo Gakushuu System - New Total English 2 [redump.org]
Image Power [redump.org]
Kanji no Ehon 2 [redump.org]
Kanji Land 3-nen (OSL-010) [redump.org]
Mayumi Yoshioka for Janis - Last Nude [redump.org]
Mirumiru Sagasu Konchuu Series Vol. 4 - Noyama no Kensakuka [redump.org]
Mr. Ed Bogas' Music Machine Lite (HMD-914) [redump.org]
My Fair Lady CAN IV. Advanced [redump.org]
NHK Hitori de Dekiru Mon! [redump.org]
NHK Zoku Kiso Eigo - Dai-2-kan [redump.org]
Pyoko-tan no Chie Asobi Ehon - Nazo Nazo Meiro Daibouken [redump.org]
SSL Gallery Ver. 1 [redump.org]
To Your Health! Vol. 1 - Tsubo Relaxation [redump.org]
To Your Health! Vol. 2 - Wellness Yoga [redump.org]
Towns Hyper Chiiku Ehon - Nihon Mukashibanashi Vol. 3 - Issunboushi / Kobutori Jiisan [redump.org]
Towns Hyper Ehon VII - Sekai no Ohanashi - Alice in Wonderland / Ali Baba and Forty Thieves [redump.org]

New not working software list additions
---------------------------------------
Akiko Gold [redump.org]
Game Nihonshi - Kakumeiji Oda Nobunaga [redump.org]
Game Nihonshi - Tenkabito Hideyoshi to Ieyasu [redump.org]
Kid Pix Companion [redump.org]
Speech Trainer V1.0 L10 [redump.org, cyo.the.vile]

Replaced software list items
----------------------------
Amaranth III [redump.org]
Bacta 1 & 2 + Voice [redump.org]
Blue - Will to Power [redump.org]
Exciting CD [redump.org]
F-BASIC386 Compiler V1.1 L21 [redump.org]
Hyper Oku no Hosomichi [redump.org]
Injuu Gakuen - La Blue Girl [redump.org]
Ishidou - The Way of Stones [redump.org]
Kid Pix [redump.org]
Nihon no Rekishi - Kizoku-hen - Ouchou Bungaku [redump.org]
Nihon no Yachou [redump.org]
Ravenloft - Aku no Keshin [redump.org]
Ryuutouden [redump.org]
SimFarm [redump.org]
Towns Hyper Chiiku Ehon - Nihon Mukashibanashi Vol. 1 - Momotarou / Saru toka ni [redump.org]
Trigger [redump.org]
Yuuwaku [redump.org]

Software list items promoted to working
---------------------------------------
Custom Mate + Denwa no Bell ga... [wiggy2k]
NHK Zoku Kiso Eigo - Dai-3-kan [wiggy2k]

-missbamby.cpp: Remove uneeded comment (#8426) [ClawGrip]
 * missbamby.cpp: Found the Cirsa Lucky Player technical manual. The game (Cirsa 810702 PCB) indeed uses a 8155 so updated comment.

-naomi.cpp, segac2.cpp, various softlists: Adjusted various Japanese game titles to use consistent romanization [Justin Kerk]

-audio/mw8080bw.cpp: added some notes deriving from comparison between driver and original Taito Space Invaders PCB [Guru]

-Fix to make it work on windows [Miodrag Milanovic]

-nes.xml: Set correct board type for several pirate games. (#8427) [0kmg]

Software list items promoted to working
---------------------------------------
Street Fighter II - The World Warrior (Asia) [0kmg]
Street Fighter II - The World Warrior (Asia, Alt) [0kmg]
Street Fighter II - The World Warrior (Asia, Alt 2) [0kmg]

-video/upd7220.cpp: Updated FIGD to use ead and mask to calculate drawing location. (#8405) [Brian Johnson]

-bus/nes: Miscellaneous minor multicart fixes, mostly. (#8291) [0kmg]
 * pengseal: Fixed company and title screen graphics.
 * dongdong: Added device for this unique board (should have been marked not working.)
 * mc_sg20: Fixed graphics fixed in all games, no longer randomly resets to Bomberman mid-game in Hogan's Alley.
 * mc_190: Refactored code - this is the same as mc_sg20 with a mirroring bit.
 * mc_1994: Corrected banking code - all games work now.
 * mc_4ck1: Runs now, although Contra has some incorrect tiling issues; added jumper setting.
 * mc_6m23: Fixed graphics in all games (light gun still not working due to non-bus issues).
 * magicdrg: Fixed background tiling.

Software list items promoted to working
---------------------------------------
1994 Super HIK 14 in 1 (G-136) [0kmg]
4 in 1 1993 (CK-001) [0kmg]
4 in 1 1993 (CK-001, Alt) [0kmg]

-bus/a2bus/q68.cpp: Fixed various issues. [Vas Crabb]
 * Fixed friended derived classes.
 * Added "a2" prefix to device short names uesd for crude namespacing.
 * Added the prefix header explicitly so it will build without PCH.
 * Fixed bizarre mixed space and tab indenting.

-bus/nes: Added support for 17-in-1 and 6-in-1 multicarts. [0kmg]

New working software list additions (nes.xml)
---------------------------------------------
17 in 1 (60311C) [anonymous]
Super HiK 6 in 1 (A-030) [anonymous]

-gfamily.cpp: Improve notes [ClawGrip]

-tx0_64kw, tx0_8kw: Fixes and improvements [AJR]
 * Complete rewrite of disassemblers, using standard names for OPRs
 * Clear MBR in cycle 1 when AMB is not specified
 * Perform AMB before COM (tx0_64kw)
 * Fix characters printed on Flexowriter (bit order was incorrectly reversed)
 * Modernize logging in CPU device
 * Only call the debugger hook once per instruction cycle

-ch376.cpp: fix mount status and entry formatting [Peter Ferrie]
 * BOOTi can now find .DO and .PO files
 * BOOTi can now boot HDVs

-apple2gs disassembly updates: (#8430) [ksherlock]
 * JSL support for gs/os & prodos 16 calls
 * JSL/JML/STA vector support
 * inline debug name support (Apple IIgs Tech Note #103)

-bgfx shaders recompile [Miodrag Milanovic]

-enable BGFX_CONFIG_DEBUG to get proper asserts [Miodrag Milanovic]

-Updated help text for bgfx_backend [Robbbert]

New NOT_WORKING clones
----------------------
Scientus (France) [PulkoMandy]

-Add 'scientus' [ClawGrip]

-crystal.cpp: used object finders and other minor cleanups [Ivan Vangelista]

-onetwo.cpp: derived frequency from XTAL present on PCB [Ivan Vangelista]

-miniguay.cpp: Fixed game name, add notes. (#8431) [ClawGrip]

Machines promoted to working
----------------------------
Super Cobra (Gakken, green version) [hap, eggs]

-bus/nes: More multicart fixes. [0kmg]
 * Improved support for Super HiK 300-in-1 related multicarts. Fixes graphics in some games and gets a 9999-in-1 working.
 * Added missing board support for 500-in-1 and related multicarts. These are correctly assigned to mapper 217 in the .nes loader.

Software list items promoted to working
---------------------------------------
255 in 1 [0kmg]
500 in 1 [0kmg]
500 in 1 (Alt) [0kmg]
2000 in 1 (No Splash, No Rev, Alt Mapper) [0kmg]
9999 in 1 (Anim. Splash, Rev 13) [0kmg]
9999999 in 1 (Alt) [0kmg]

-ti99: Use offs_t instead of uint16_t for addresses, as they are 19 bit wide in the peribox. [Michael Zapf]

-swim1, swim2: Implement callback for DAT1BYTE output [AJR]

-bus/nes: Added support for a 21-in-1 multicart. (#8435) [0kmg]

New working software list additions (nes.xml)
---------------------------------------------
21 in 1 (GA-003) [Consolethinks]

-MT 08050: ginganin: missing pcm samples [Robbbert]

-MSVC fixes [Aaron Giles]

-coco3: Revert constant RAM fix. (#8438) [tim lindner]

-seibuspi.cpp: Add/Fix notes for Jumper JP1 [cam900]

-apple2gs: fix ZipGS delay for games that trigger the joysticks by read like Silpheed. [R. Belmont, TheKinsie]

-bus/nes: Enable menu access for a Contra/22-in-1 combo cart. [0kmg]

-sdl ui: fix choosing the root path (#8443) [tim lindner]

-galaxian.cpp:  Fix inputs for portera (not 100% the same as porter).  Addresses MT#8051 [Scott Stone]

-dumped megacd2 euro 2.11 bios (#8420) [Tom]
 * megadriv.cpp: added mega-cd euro v2.11 bios [TwistedTom]

-Remove not suported platform [Miodrag Milanovic]

-avgdvg.cpp: support XY flip (#8444) [Jess Askey]

-bus/nes: Added support of a pair of 4-in-1 multicarts. (#8441) [0kmg]

New working software list additions (nes.xml)
---------------------------------------------
4 in 1 (K-3131GS) [anonymous]
4 in 1 (K-3131SS) [anonymous]

-Debugger-related feature removals and cleanup [AJR]
 * Remove the hotspot read tracker. This was never robustly implemented, but changes to the memory system made it much less useful,
    and the "speedup opportunities" which it aimed to determine are not very important from a current emulation standpoint.
 * Remove the CURSP/GENSP state symbol and the generic sp() getter. Stacking semantics vary too much between CPU architectures for
    this to be of much use. (A "SP" symbol has been added to a few CPU cores whose stack pointers were otherwise not being
    registered.)
 * Remove the cached pointer to device_state_interface and the state() fast accessor from device_t. Most users of
    device_state_interface either already had a pointer to the specific CPU device type or needed to check first for the presence of
    the interface.
 * Change the PC memory write tracker to use pcbase(), which works even when the instruction callback is masked out, instead of
    peeking at the PC history index.
 * Remove some obsolete watchpoint-related definitions from machine.h.

-divtlb.cpp: remove a crash caused by the modulus operator In the original code all values are signed integers, so m_dynindex would
 overflow and become negative, then the modulus of a negative value by a positive one would generate a negative result and finally
 the next array read would make the program crash. Also the maximum value plus one of m_dynindex is not generally a multiple of
 m_dynamic and this would cause a jump in the values of liveindex. [yz70s]

-schexx: Map some memory [AJR]

New working clones (#8418)
--------------------------
Guitar Freaks Ver 1.01 (GQ886 VER. EAD) [Taro]
Guitar Freaks Ver 1.01 (GQ886 VER. AAD) [Taro]
Guitar Freaks Ver 1.01 (GQ886 VER. JAD) [Taro]
Guitar Freaks Ver 1.01 (GQ886 VER. UAD) [Taro]
Guitar Freaks 2nd Mix (GQ883 VER. EAA) [Taro]
Guitar Freaks 2nd Mix (GQ883 VER. UAA) [Taro]
Guitar Freaks 2nd Mix (GQ883 VER. JAA) [Taro]
Guitar Freaks 2nd Mix (GQ883 VER. KAA) [Taro]
Guitar Freaks 2nd Mix (GQ883 VER. AAA) [Taro]
Guitar Freaks Link Kit 1 (GE929 VER. JAA) [windy fairy]
Guitar Freaks Link Kit 2 (GC929 VER. JBB) [windy fairy]

-bus/nes: Added support for 4 multicarts on 2 board types. [0kmg]

New working software list additions (nes.xml)
---------------------------------------------
1994 Super HiK 3 in 1 (JY-007) [famiac, NewRisingSun]
1995 Super 8-in-1 (JY-050) [Consolethinks, NewRisingSun]
Super 8-in-1 Gold Card Series (JY-085) [Consolethinks, NewRisingSun]
Super 8-in-1 Gold Card Series (JY-086) [Consolethinks, NewRisingSun]

-Use std::clamp in more source files [AJR]

-nes.xml: Set correct board type for badmintn. [0kmg]

-bus/nes: Improved emulation of 115-in-1 related multicarts. (#8446) [0kmg]
 * Merged two devices (for identical mappers 225 and 255).
 * Larger-sized carts now work (sets mc_110, mc_115).
 * Added 4 nibbles of work RAM that presumable affect in-game settings.
 * Removed set mc_110a which was listed as being a possible corrupt dump. It only contained half of mc_110's PRG ROM—in repeated
    256K chunks.

Software list items promoted to working (nes.xml)
-------------------------------------------------
115 in 1 [0kmg]

-cd32.xml, k28m2.xml, megadriv.xml, msx1_cart.xml, msx2_cart.xml, neogeo.xml, timex_cass.xml - Various commented entry adjustments
 to represent proper status. [Scott Stone]

New NOT_WORKING software list additions
---------------------------------------
Superfrog (Rev 1) [TheBoss]

-saitek_osa: prevent init order issue [hap]

-Missing implementation [Miodrag Milanovic]

-Delete files for platforms not supported by NDK [Miodrag Milanovic]

-3dom2_te.cpp: Use C++17 library function for clamp (and std::min in one place where the value could not possibly be lower than 0
 anyway) [AJR]

-snes.xml - Commented rom name entry status clarifications [Scott Stone]

-viper.cpp: Added audio support, updated inputs, and improved default NVRAM contents. (#8434) [987123879113]
 * Updated compatibility lists, added NVRAMs, added more inputs and per-game DIP switches.
 * Fixed port DIP location values.
 * Added comment about boxingm's pad controller.

-dvmemory: Substitute strongly typed enum for magic numbers specifying data format [AJR]

-debugger/win/memorywininfo.cpp: Fix build [AJR]

New machines marked as NOT_WORKING
----------------------------------
Speedway [Ioannis Bampoulas]

-enigma2.cpp: minor updates to dip locations [Ivan Vangelista]

-specpls3_flop:  Added link to document used as verification of undumped/unshared entries. [Scott Stone]

-Fix exception in debug memory viewer selecting a floating point format when the number of chunks per row is too small [AJR]

-ics2115: Improved sound using next-state logic [Esteban Diez Laiz]

-megadriv.xml: Replaced dump for s19in1. (#8451) [0kmg]
 * This multicart doesn't fully work because it's a bad dump--the second 2MB is missing and is a repeat of the first half. New
    checksums are for the first 2MB.

-nes.xml: Set correct board type for ejim2d, sdance, and smb8a. (#8450) [0kmg]

-pico.xml - Documented where unavailable dump data was sourced and used other dumps' region data to fill in size metadata
 [Scott Stone]

-pcipc.cpp: connect secondary ide interrupt to mirq0 line instead of irq15 [yz70s]

-hh_hmcs40: improved bpengo svg [hap, eggs]

-bus/nes: Improved support for various RCM multicarts. (#8453) [0kmg]
 * Got boards gs2004 and gs2013 working and merged them into related classes (they differ solely by a fixed bank number).
 * Simplified tf9in1 board and fixed its graphics issues (sets mc_20a, mc_tf9).

New working software list additions (nes.xml)
---------------------------------------------
Tetris Family 5 in 1 [NewRisingSun]

Software list items promoted to working (nes.xml)
-------------------------------------------------
Tetris Family 6 in 1 (GS-2004) [0kmg]
Tetris Family 12 in 1 (GS-2013) [0kmg]

-Use log write calls directy on android [Miodrag Milanovic]

-Formatting consistency fixes for recent changes. [Vas Crabb]

-champbas.cpp: mapped some areas and added some logging for tbasebal [Ivan Vangelista]

-taito_f2.cpp: fixed MT08053 [Ivan Vangelista]

-adam_cart.xml, jazz.xml:  Commented rom entries status correction/format fixing [Scott Stone]

New NOT_WORKING software list additions
---------------------------------------
vsmileb_cart.xml: [ClawGrip]
A Day on the Farm (USA), Baby Einstein - World of Discoveries (USA), Baby Einstein - World of Discoveries (USA, alt), Barney - Let's
  Go to a Party (USA), Care Bears - Play Day (USA), Discovery with Baby Mickey & Friends (USA), Mother Goose (USA), Noah's Ark -
  Animal Adventures (USA), Teletubbies - Time for Teletubbies (USA), Nickelodeon The Backyardigans - Big Backyard Adventure (USA)
  [skaman]

-Also redumped "Pooh's Hundred Acre Wood Adventure (USA)" [skaman]

-pc98: repair moritash and mark baddump [cracyc]

New machines marked as NOT_WORKING
----------------------------------
Zelos (Japan, main unit) [Phil Bennett]

New working clones
------------------
The Killing Blade / Ao Jian Kuang Dao (ver. 100) [XeD]

-tc0780fpa: improved texture wrapping [Naibo]

-bus/nes: Updates for three SMB2FDS bootleg board types. [0kmg]
 * Replaced IRQ hold line semantics with proper set/clear and otherwise cleaned up code based on most recent info on these bootlegs.

-decmate2: Patch one ROM file in 31Z BIOS (#2) to correct JMP I instruction [AJR]
 * pdp8dasm: Minor fix for weird OPRs

New machines marked as NOT_WORKING
----------------------------------
Hammond GM-1000 GM Sound Module [DBWBP]
Yamaha PSR-16 [DBWBP]
Yamaha PSR-36 [DBWBP]
Yamaha PSR-40 [DBWBP]
Yamaha PSS-680 [DBWBP]

New WORKING software list additions
-----------------------------------
vsmile_cart.xml: [ClawGrip]
V.Smile Jammin' Gym Class (USA) [skaman]

New NOT_WORKING software list additions
---------------------------------------
vsmile_cart.xml: [ClawGrip]
Marvel Spider-Man &amp; Friends - Where is Hulk (Smartbook) (USA) [skaman]

-dmv: add blink attr [cracyc]

-namcona1.cpp: verified correct release year for Zelos [sjy96525]

New working machines
--------------------
TI-5100 [hap, Sean Riddle]

-bus/nes: Fixed IRQ timing for Sunsoft 3 boards. (#8458) [0kmg]

-bus/nes: Improved support for two Contra multicarts. (#8461) [0kmg]

-bus/nes: Added support for a Mortal Kombat 6/7 cart. (#8466) [0kmg]
 * Removed MK6 and MK7 sets that were listed as extracts from this cart.
 * Marked all Yu Yu Hakusho Final bootlegs (what MK7 really is) as partially supported since they all have significant background
    graphics issues.

New working software list additions
-----------------------------------
2 in 1 - Mortal Kombat 6 & Mortal Kombat 7 [0kmg]

-New NOT_WORKING machine (#8457) [ClawGrip]

New NOT WORKING machine
-----------------------
Basket [jordigahan, Miguel Arcade, ClawGrip]

-BGFX fixes for various backends (#8469) [Ryan Holtz]
 * Fixed palette and UYVY conversion in all backends. Fixes MT07760.
 * Fixed a typo in targetmanager.cpp, thanks LN for the heads-up.

-New NOT_WORKING machine (#8468) [ClawGrip]
 * arcade.lua: Add 'opercoin.cpp'

New NOT_WORKING machine
-----------------------
Multi Baby [jordigahan, ClawGrip]

-New NOT_WORKING machine (#8465) [ClawGrip]

New NOT_WORKING machine
-----------------------
Baby Fruits (100 pts version) [Salvador, parramon, ClawGrip]

New NOT_WORKING clone
---------------------
Baby Fruits (25 pts version) [Salvador, parramon, ClawGrip]

-Update mame.lst [ClawGrip]
 * Add 'babyfrts' and 'babyfrts25'

-opercoin: 8mhz Z80A is not possible [hap]

-srcclean: Added JSON cleaning support, and some cleanup. [Vas Crabb]
 * Made pbobble parent of bublbust, as it seems to be more widespread and more complete.  Also fixed some ROM labels for bublbust.
 * Made tbyahhoo parent of mtwinbee as the latter has substantial content removed rather than being localised, making it less
    complete.
 * Applied srcclean to JSON files in bgfx subtree.

-namcona1.cpp updates: [Ivan Vangelista]
 * some documentation updates based on real hardware [hammy]
 * minor update for zelos

New clones marked as NOT_WORKING
--------------------------------
Seoul Symphony (Bubble Symphony bootleg with OKI6295) [xuserv]

-astrcorp.cpp: dinodino gets to the ROM error screen, too [Ivan Vangelista]

-Revert "enable BGFX_CONFIG_DEBUG to get proper asserts" [Miodrag Milanovic]
 * This reverts commit 4abb9da0ec7efde4254a436ec1baa9a889264109.

-kncljoe: added sprite layer clipping [dink, hap]

-vsmileb: Added default input mappings for the slider window, and demoted to MNW due to bad audio. [Ryan Holtz] (#8473) [MooglyGuy]

-bus/nes: Fixed a Boogerman bootleg. (#8472) [0kmg]
 * Reorganized sglionk (Super Game bootleg games) around lookup tables for its register/address scrambling.
 * Implemented Boogerman in terms of sglionk, since it is functionally identical with different scrambling permutations.

New working software list additions (nes.xml)
---------------------------------------------
The Lion King (pirate, alt 2) [Consolethinks]

Software list items promoted to working (nes.xml)
-------------------------------------------------
Boogerman (Rus) [0kmg]

-cv1k.cpp: add Espgaluda II alternative program ROM dump [BuddyC, MetalliC and rtw]

-nscsi: Added initialization of sense buffer on reset. [Michael Zapf]

-bus/nes: Added support for MMC3 reset-based 4-in-1 multicarts. [0kmg]

New working software list additions (nes.xml)
---------------------------------------------
1993 Heroe Series 4 in 1 (JY-001) [NewRisingSun, taizou]
1994 Super HiK 4 in 1 (JY-001) [NewRisingSun, taizou]
1994 Super HiK 4 in 1 (JY-002) [NewRisingSun, taizou]
1994 Super HiK 4 in 1 (JY-003) [NewRisingSun, taizou]
1995 Super HiK 4 in 1 (JY-008) [NewRisingSun, taizou]
1995 Super HiK 4 in 1 (JY-024) [NewRisingSun, taizou]
1995 Super HiK 4 in 1 (JY-038) [NewRisingSun, taizou]
1995 Super HiK 4 in 1 (JY-039) [NewRisingSun, taizou]
1995 Super HiK 4 in 1 (JY-040) [NewRisingSun, taizou]
1995 Super HiK 4 in 1 (JY-043) [NewRisingSun, taizou]
1997 Super HiK 4 in 1 (JY-047) [NewRisingSun, taizou]
1995 Super HiK 4 in 1 (JY-047) [NewRisingSun, taizou]
1996 Super HiK 4 in 1 (JY-057) [NewRisingSun, taizou]
1996 Super HiK 4 in 1 (JY-058) [NewRisingSun, taizou]
1995 Super HiK 4 in 1 (JY-023) [MLX]
1997 Super HiK 4 in 1 (JY-024) [MLX]
1996 Super HiK 4 in 1 (JY-072) [MLX]
Mario Series 4 in 1 (JY-013) [anonymous]

-spectrum_cass: metadata update (description, publisher, year, cloneof) [ArcadeShadow]
 * spectrum_cass: metadata update (description, publisher, year, cloneof)

-gfamily.cpp: Add new BIOS version [jordigahan] (#8460) [ClawGrip]
 * gfamily.cpp: Add new BIOS version [jordigahan]

-pc98_cd.xml: 16 new dumps, 21 replacements, sync with FM Towns softlist (#8436) [r09]
 * pc98_cd.xml: add subtitles to some alt_titles
 * pc98_cd.xml: 16 new dumps, 21 replacements, sync with FM Towns softlist

New working software list additions
-----------------------------------
Chuushaki - Hirasawa Nurse School [redump.org]
if - Invitations from Fantastic Stories [redump.org]
if 3 - Invitations from Fantastic Stories [redump.org]
Kanako [redump.org, wiggy2k]
Kousoku - Yorokobi no Aegi [redump.org]
Moonlight Energy 2 [redump.org]
Record of Lodoss War II - Goshiki no Maryuu [redump.org, wiggy2k]
Tania [redump.org]
The Silent Service - Chinmoku no Kantai [redump.org, wiggy2k]
Virtuacall [redump.org, wiggy2k]
Waku Waku Mahjong Panic! 2 - Kokushi Musou [redump.org]

New not working software list additions
---------------------------------------
OS/2 Warp V3 - Nihongo-ban [sampson]
Moonlight-chan Rinshan [redump.org]
Psychic Detective Series Vol. 4 - Orgel [redump.org]
Syndicate [redump.org]
Yumeutsutsu - Dreamy [redump.org]

Replaced software list items
----------------------------
Akiko Gold [redump.org, wiggy2k]
Bacta 1 & 2 + Voice [redump.org]
Bell's Avenue Vol. 2 [redump.org]
Blandia 98 [redump.org]
Bounty Hunter Rudy [redump.org]
CD-ROM Bishoujo Senshi Collection - Yuu Disc Special [redump.org]
Dies Irae [redump.org]
El-Hazard - The Magnificent World [redump.org]
Hoshi no Suna Monogatari 3 [redump.org]
Jinmon Yuugi [redump.org]
Kono Yo no Hate de Koi wo Utau Shoujo YU-NO [redump.org]
Love Escalator [redump.org]
Making Candy - Oki ni Mesumama [redump.org]
Mujintou Monogatari [redump.org]
My Home Dream 2 [redump.org]
PILcaSEX [redump.org]
Psychic Detective Series Vol. 1 - Invitation - Kage kara no Shoutaijou [redump.org]
Sakura no Mori [redump.org]
Schwarzschild EX - Tessa no Seigun [redump.org]
Schwarzschild GX - Sabita Sousei [redump.org]
Watashi [redump.org]

-Update ibm5170_cdrom.xml (#8439) [David 'Foxhack' Silva]

New working software list additions
-----------------------------------
Bad Dudes (1995 CD release) [Dave "Foxhack" Silva]
Heavy Barrel (1995 CD release) [Dave "Foxhack" Silva]
Karnov (1995 CD release) [Dave "Foxhack" Silva]
Pipe Mania (1995 CD release) [archive.org]
Tag Team Wrestling (1995 CD release) [Dave "Foxhack" Silva]

-New NOT_WORKING software list additions (#8474) [ClawGrip]

New NOT_WORKING software list additions
---------------------------------------
PowerFlash (Europe) [TeamEurope]

New working clones
------------------
Kangaroo (Loewen-Automaten) [Virtvic]

-bus/nes: Revised Boogerman fix to more straightforward approach. [0kmg]

-ibm5170.xml: New working software list additions [ArcadeShadow]

New working software list additions
-----------------------------------
squale_cart: Squale Technical Demo [Jean-François DEL NERO / HxC2001]

-dragon_msx2: Renamed as 6x09 SuperSprite FM+. [Nigel Barnes]

-electron: Switch upper/lowercase PORT_CHAR to fix pasting from UI. [Nigel Barnes]
 * Removed MACHINE_IMPERFECT_SOUND.

-bus/electron: Added a homebrew 68000 second processor. [Nigel Barnes]

New working software list additions (apple2_flop_orig.xml) (#8467)
------------------------------------------------------------------
Return of the Dinosaurs (800K 3.5") [4am, Firehawke]
Bank Street Writer Plus (800K 3.5") [4am, Firehawke]
Design Your Own Railroad (Version 1.1C) (800K 3.5") [4am, Firehawke]
Grammar Gremlins (Version 05.01.87) (800K 3.5") [4am, Firehawke]
BeagleWrite (Version 3.2) (800K 3.5") [4am, Firehawke]
Design Your Own Home: Interior Design (Version 2) (800K 3.5") [4am, Firehawke]
Willy Byte in the Digital Dimension [4am, Firehawke]
Arithmetic Critters (Version 1.0) (800K 3.5") [4am, Firehawke]
Clock Works (Version 1.0) (800K 3.5") [4am, Firehawke]
Backyard Birds (Version 1.0) (800K 3.5") [4am, Firehawke]
Chemistry: Balancing Equations (Version 1.0) (800K 3.5") [4am, Firehawke]
Cleanwater Detectives (800K 3.5") [4am, Firehawke]
Circus Math (Version 1.0) (800K 3.5") [4am, Firehawke]
VCR Companion (Version 1.1) (800K 3.5") [4am, Firehawke]
Car Builder (800K 3.5") [4am, Firehawke]
Alge-Blaster! (Version 050187) (800K 3.5") [4am, Firehawke]
Whomper Stomper [4am, Firehawke]
Word Munchers (Version 1.4) (800K 3.5") [4am, Firehawke]

New working software list additions (apple2_flop_clcracked.xml)
---------------------------------------------------------------
Computer Drill and Instruction: Addition C (cleanly cracked) [4am, Firehawke]
Computer Drill and Instruction: Decimals C-1 (cleanly cracked) [4am, Firehawke]
Computer Drill and Instruction: Division C (cleanly cracked) [4am, Firehawke]
Computer Drill and Instruction: Fractions C-1 (cleanly cracked) [4am, Firehawke]
Computer Drill and Instruction: Multiplication C (cleanly cracked) [4am, Firehawke]
Computer Drill and Instruction: Subtraction C (cleanly cracked) [4am, Firehawke]
Computer Drill and Instruction: Whole Numbers C (cleanly cracked) [4am, Firehawke]
Computer Drill and Instruction: Teacher Utilities (cleanly cracked) [4am, Firehawke]
Keyboard Golf (cleanly cracked) [4am, san, Firehawke]
Analogies Tutorial (Version 04.25.85) (cleanly cracked) [4am, Firehawke]
Willy Byte in the Digital Dimension (cleanly cracked) [4am, Firehawke]
Memory Myth (cleanly cracked) [4am, Firehawke]
Capitalization Practice (Version 11.04.83) (cleanly cracked) [4am, Firehawke]
Capitalization Test (Version 11.04.83) (cleanly cracked) [4am, Firehawke]
Fact Sheets (Version 09.19.83) (cleanly cracked) [4am, Firehawke]
Medalist Series: States (Version 08.09.83) (cleanly cracked) [4am, Firehawke]
Money! Money! (Version 09.19.83) (cleanly cracked) [4am, Firehawke]
Nouns/Pronouns (Version 09.19.83) (cleanly cracked) [4am, Firehawke]
Who-What-Where-When-Why (Version 11.04.83) (cleanly cracked) [4am, Firehawke]
Word Families (Version 11.04.83) (cleanly cracked) [4am, Firehawke]

New working software list additions (apple2gs_flop_orig.xml)
------------------------------------------------------------
Reader Rabbit (Version 2.3) [4am, Firehawke]
Mad Libs (Version 1.0) [4am, Firehawke]
Tales From The Arabian Nights [4am, Firehawke]
Read-A-Rama [4am, Firehawke]
Reading and Me (Version 1.0) [4am, Firehawke]

-Revert "Allow the bpset/wpset/rpset & map commands to act on any cpu, by prefixing the index or name with a # and passing as the
 first parameter. [smf]" [Vas Crabb]
 * This reverts commit f4213dc209ebf2247f3c7e46f32d9bd2711bb374.
 * The issue that the syntax used for this clashes with syntax for decimal numbers was never resolved.

-srcclean for upcoming release [Vas Crabb]

-srcclean latest changes, too [Vas Crabb]

-Fix a duplicate #include and an indendation error [Vas Crabb]

-cv1k: split espgal2 recent u4 dump [hap]
 * (cherry picked from commit f21ffcf4eb27b7bb7aa1417d9d401ebea514e609)

-cv1k: update espgal2 pcb note [hap]
 * (cherry picked from commit eede8a794d2cb99fc1a70d5d6843fbdfb6eb3621)

-cv1k: add note about CV1000-B [hap]
 * (cherry picked from commit 107ca8394da870d1a40c5a40f20c2715dfe70b55)

-hh_tms1k: correct ti5100 machine category [hap]
 * (cherry picked from commit 895ff8ef028b5597eda26300bb3e0a4e216fb6fd)

-bgfx: Revised fs_blit_palette16 to not use pixel rounding. Fixes issues in carpolo, kncljoe, and others. [Ryan Holtz] (#8488)
 [MooglyGuy]

-kncljoe: fix off-by-1 with sprite layer clip [hap]
 * (cherry picked from commit 3cadc4f688ba4172a1e19195c4999c0265bd3f53)

-util/zippath.cpp: OSD_WINDOWS isn't a safe way to detect Windows target, and OSD_* macros must not be used outside libocore/libosd.
 [Vas Crabb]
